<template>
<section class="user-profile section">
	<div class="container">
		<div class="row">
			<div class="col-md-10 offset-md-1 col-lg-3 offset-lg-0">
				<div class="sidebar">
					<!-- User Widget -->
					<div class="widget user">
						<!-- User Image -->
						<div class="image d-flex justify-content-center">
							<img :src="'/storage/user/user-thumb.jpg'" alt="" class="blur">							
						</div>
						<!-- User Name -->
						<h5 class="text-center">{{ name }}</h5>
					</div>
										
				</div>
			</div>
			<div class="col-md-10 offset-md-1 col-lg-9 offset-lg-0">
				<!-- Edit Profile Welcome Text -->
				<div class="widget welcome-message">
					<h2>Edit profile</h2>	
					<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation</p>				
				</div>
				<!-- Edit Personal Info -->
				<div class="row">
					<div class="col-lg-6 col-md-6">
						<div class="widget personal-info">
							<h3 class="widget-header user">Edit Auto Bidding</h3>
							<form action="#">
								<!-- Parameter -->
								<div class="form-group">
									<label for="first-name">Maximun Bid Amount</label>
									<input type="number" class="form-control" id="first-name" v-model="maximun">
								</div>														
								
								<!-- Submit button -->
								<button type="button" class="btn btn-transparent" @click="Save()">Save My Changes</button>
							</form>
						</div>
					</div>					
				</div>
			</div>
		</div>
	</div>
</section>
</template>

<script>

export default {
    props: {	 
	   userid : {type: Number, required: true},	   
    },
    components: {
        
    },
    computed: {
        
	},
    data () {
        return {                                     
			maximun: 0,
			name: null		
        }
    },
    computed:{
       
    },
    methods: {
		Show(){
			let me=this;

			axios.get('/user', {
				'id' : this.userid ,				
			})
            .then(function (response) {
				console.log(response); 
				me.name = response.data.user.name;				
				me.maximun = response.data.user.bid_amount;
            })
            .catch(function (error) {
                console.log(error);
            });
		},
		Save(){
			let me=this;

			axios.post('/user/configure', {
				'id' : this.userid ,
				'amount' : this.maximun
			})
            .then(function (response) {
				console.log(response); 
				window.location.href = '/user/configure';				
            })
            .catch(function (error) {
                console.log(error);
            });
		}
    },
    created(){
		this.Show();
    }
}
</script>

<style scoped>

.blur {
   -webkit-filter: blur(6px);
   -moz-filter: blur(6px);
   -o-filter: blur(6px);
   -ms-filter: blur(6px);
   filter: blur(6px);
}
</style>